#ifndef MY_ASSERT_HPP
#define MY_ASSERT_HPP

#include <string>
#include <stdexcept>

void my_assert(bool statement, std::string src_filename, int line_no, std::string msg)
{
   if(!statement)
      throw std::runtime_error(std::string{src_filename} + ":" + std::to_string(line_no) + ": " + msg);
}


#endif
